Chuyển đến nội dung chính
PATCH
/
table
/
{tableId}
/
record
/
{recordId}
cURL
curl --request PATCH \
  --url https://sheets.vn/api/table/%7BtableId%7D/record/%7BrecordId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"fieldKeyType":"id","typecast":true,"record":{"fields":{"property1":null,"property2":null}},"order":{"viewId":"string","anchorId":"string","position":"before"}}'
{
  "id": "<string>",
  "fields": {},
  "name": "<string>",
  "autoNumber": 123,
  "createdTime": "<string>",
  "lastModifiedTime": "<string>",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "permissions": {},
  "undeletable": true
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

tableId
string
bắt buộc
recordId
string
bắt buộc

Nội dung

application/json

Update record by id

record
object
bắt buộc
fieldKeyType
enum<string>
mặc định:name

Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details

Tùy chọn có sẵn:
id,
name,
dbFieldName
typecast
boolean

Automatic data conversion from cellValues if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.

order
object

Where this record to insert to (Optional)

Phản hồi

200 - application/json

Returns record data after update.

id
string
bắt buộc

The record id.

fields
object
bắt buộc

Objects with a fields key mapping fieldId or field name to value for that field.

name
string

primary field value

autoNumber
number

Auto number, a unique identifier for each record

createdTime
string

Created time, date ISO string (new Date().toISOString).

lastModifiedTime
string

Last modified time, date ISO string (new Date().toISOString).

createdBy
string

Created by, user name

lastModifiedBy
string

Last modified by, user name

permissions
object

Permissions for the record

undeletable
boolean

Whether the record is undeletable